// Garden Gnome Software - Skin
// Object2VR 2.0.2/2407
// Filename: html5.ggsk
// Generated Sat Dec 1 20:59:41 2012

function object2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._video_bg=document.createElement('div');
		this._video_bg.ggId='video_bg'
		this._video_bg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._video_bg.ggVisible=false;
		this._video_bg.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-242 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-201 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -242px;';
		hs+='top:  -201px;';
		hs+='width: 480px;';
		hs+='height: 398px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 2px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_000000_200.png);';
		this._video_bg.setAttribute('style',hs);
		this._video_text_title=document.createElement('div');
		this._video_text_title.ggId='video_text_title'
		this._video_text_title.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._video_text_title.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 140px;';
		hs+='top:  9px;';
		hs+='width: 198px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._video_text_title.setAttribute('style',hs);
		this._video_text_title.innerHTML="";
		this._video_bg.appendChild(this._video_text_title);
		this._video_player=document.createElement('div');
		this._video_player.ggId='video_player'
		this._video_player.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._video_player.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 7px;';
		hs+='top:  36px;';
		hs+='width: 462px;';
		hs+='height: 352px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._video_player.setAttribute('style',hs);
		this._video_player.innerHTML="";
		this._video_bg.appendChild(this._video_player);
		this._animation_bg=document.createElement('div');
		this._animation_bg.ggId='animation_bg'
		this._animation_bg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._animation_bg.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 1px;';
		hs+='top:  1px;';
		hs+='width: 41px;';
		hs+='height: 31px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		hs+='background-color: #ffffff;';
		this._animation_bg.setAttribute('style',hs);
		this._animation=document.createElement('div');
		this._animation.ggId='animation'
		this._animation.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._animation.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 6px;';
		hs+='top:  2px;';
		hs+='width: 28px;';
		hs+='height: 26px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._animation.setAttribute('style',hs);
		this._animation__img=document.createElement('img');
		this._animation__img.setAttribute('src',basePath + 'videos/video.gif');
		this._animation__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._animation__img);
		this._animation.appendChild(this._animation__img);
		this._animation_bg.appendChild(this._animation);
		this._video_bg.appendChild(this._animation_bg);
		this._video_close=document.createElement('div');
		this._video_close.ggId='video_close'
		this._video_close.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._video_close.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 446px;';
		hs+='top:  1px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._video_close.setAttribute('style',hs);
		this._video_close__img=document.createElement('img');
		this._video_close__img.setAttribute('src',basePath + 'images/video_close.svg');
		this._video_close__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 32px;height: 32px;');
		this._video_close.appendChild(this._video_close__img);
		this._video_close.onclick=function () {
			me._video_bg.style[domTransition]='none';
			me._video_bg.style.visibility='hidden';
			me._video_bg.ggVisible=false;
			me._video_player.innerHTML="";
			if (me._video_player.ggUpdateText) {
				me._video_player.ggUpdateText=function() {
					me._video_player.innerHTML="";
				}
			}
		}
		this._video_close.onmouseover=function () {
			me._video_close__img.src=basePath + 'images/video_close__o.svg';
		}
		this._video_close.onmouseout=function () {
			me._video_close__img.src=basePath + 'images/video_close.svg';
		}
		this._video_bg.appendChild(this._video_close);
		this.divSkin.appendChild(this._video_bg);
		this._trigger=document.createElement('div');
		this._trigger.ggId='trigger'
		this._trigger.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._trigger.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 26px;';
		hs+='height: 34px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._trigger.setAttribute('style',hs);
		this._trigger.onclick=function () {
			me._video_text_title.innerHTML=me.player.hotspot.title;
			if (me._video_text_title.ggUpdateText) {
				me._video_text_title.ggUpdateText=function() {
					me._video_text_title.innerHTML=me.player.hotspot.title;
				}
			}
			me._video_player.innerHTML=me.player.hotspot.target;
			if (me._video_player.ggUpdateText) {
				me._video_player.ggUpdateText=function() {
					me._video_player.innerHTML=me.player.hotspot.target;
				}
			}
			me._video_bg.style[domTransition]='none';
			me._video_bg.style.visibility='inherit';
			me._video_bg.ggVisible=true;
		}
		this.divSkin.appendChild(this._trigger);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
		if (id=='1') {
			me._trigger.onclick();
		}
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
		var match=false;
			if (nodeMarker[i].ggMarkerNodeId==id) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
	};
	this.addSkin();
};